/*
  Realtime music visualizer board
  Firmware Michael Krumpus,
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License
*/

#ifndef LUMAZOID_H
#define LUMAZOID_H

#if (ARDUINO >= 100)
 #include <Arduino.h>
#else
 #include <WProgram.h>
 #include <pins_arduino.h>
#endif

typedef struct {
  uint8_t baseColor;
  uint8_t age;
  uint8_t magnitude;
  uint8_t rnd;
} peak_t;


#endif

const uint32_t BackColors[] PROGMEM = 
{
  0xff0000, 0xff3300, 0xff6600, 0xff9900, 0xffcc00, 0xffff00, 0xccff00, 0x99ff00,
  0x66ff00, 0x33ff00, 0x00ff00, 0x00ff33, 0x00ff66, 0x00ff99, 0x00ffcc, 0x00ffff,
  0x00ccff, 0x0099ff, 0x0066ff, 0x0033ff, 0x0000ff, 0x3300ff, 0x6600ff, 0x9900ff,
  0xcc00ff, 0xff00ff, 0xff00cc, 0xff0099, 0xff0066, 0xff0033,
};
